Pedigree(3)

NAME
Pedigree - the main library for Pedigree.

SYNOPSIS
use Pedigree;

$node = Pedigree->MakeNode($params);

DESCRIPTION
This is the main package for pedigree construction. It calls other libraries in the Pedigree:: family

    MakeNode($params);

    Construct a new node from the given parameters. Check what kind of node should we construct.

ENVIRONMENT
The calling program should define $main::DEBUG and set it to 0 or 1.

SEE ALSO
pedigree(1), Pedigree::AbortionNode(3), Pedigree::Area(3), Pedigree::ChildlessNode(3), Pedigree::Language(3), Pedigree::MarriageNode(3), Pedigree::Node(3), Pedigree::Parser(3), Pedigree::PersonNode(3), Pedigree::TwinsNode(3),

AUTHOR
Boris Veytsman, Leila Akhmadeeva, 2007

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 18:
    You can't have =items (as at line 46) unless the first thing after the =over is an =item